知名终端工具iTerm2 3.5.1版发布 不再直接集成OpenAI解决用户隐私担忧
2024-6-14 13:12:4 Author: www.landiannews.com(查看原文) 阅读量:6 收藏

#软件资讯 知名终端工具 iTerm2 3.5.1 版发布,不再直接集成 OpenAI 解决开发者的担忧,开发者仍然可以继续使用 AI,但必须手动安装插件和配置,而不是集成在软件本体中。这可以解决某些开发者尤其是企业的担忧,IT 管理员也可以通过 MDM 系统彻底禁用 AI 插件避免数据泄露。查看全文:https://ourl.co/104488

iTerm2 是 macOS 平台一款非常知名的终端工具,在此前的更新中该工具集成了 OpenAI API 接口,让开发者们可以通过接入 AI 的方式编写代码或检查代码中的错误等。

不过这个功能引起了不少开发者的担忧,也就是集成 OpenAI API 后是否会泄露数据,这并非不可能的,因为使用 AI 过程中相关数据确实会被发送到 OpenAI 服务器并且会被用于训练等。

经过讨论后最终 iTerm2 决定放弃直接集成 OpenAI API 接口,现在换成插件的形式让开发者自己下载安装和启用,这被称为安全阀,也就是说除非开发者主动操作否则绝对不会存在数据泄露风险。

知名终端工具iTerm2 3.5.1版发布 不再直接集成OpenAI解决用户隐私担忧

下面是关于此功能的说明:

1. 删除与 OpenAI 通信的相关代码,这些代码和功能被移动到一个插件中,必须单独安装。企业 IT 管理员也可以通过策略阻止安装该插件,避免被自动安装,具体可以点击这里查看 AI 插件的说明。

2. 即便已经安装 AI 插件也必须手动启用后才能使用,并且只有具有管理员权限的用户才可以启用 AI 插件。

3. 如果 IT 管理员希望彻底禁用 iTerm2 的 AI 访问权限,可以在 MDM 系统里将 GenerativeAIAllowed 配置为 False。

4. 启用 AI 插件后,相关功能和控制被移动到主设置面板,方便开发者直接使用本地模型。

经过此次改进后 iTerm2 恢复到最初的状态,至少对于担忧 AI 可能窃取信息的开发者来说可以继续使用 iTerm2,毕竟现在已经彻底解绑了 OpenAI 功能。

对于需要使用 AI 辅助编写代码的开发者也可以继续使用,安装插件后配置自己的 OpenAI API KEY 后即可使用,这种情况下潜在的代码发送到 OpenAI 服务器的问题需要开发者自己负责。

例如如果你的代码文件中包含服务器的 API 和密钥,并且你使用 AI 来检测代码是否存在错误,这种情况下代码会被发送给 OpenAI 服务器,所以确实有泄露密钥的风险。


限时活动推荐:软购618多款正版软件2折购阿里云服务器仅36元/年腾讯云轻量服务器82元/年B站大会员88元


文章来源: https://www.landiannews.com/archives/104488.html
如有侵权请联系:admin#unsafe.sh